Bug 166320 - Review request: perl-HTML-Format - HTML::Format Perl module
Review request: perl-HTML-Format - HTML::Format Perl module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
David Lawrence
http://search.cpan.org/dist/HTML-Format/
:
Depends On: 166318
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-19 01:43 EDT by Ralf Corsepius
Modified: 2010-07-16 13:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 11:58:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-19 01:43:26 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-HTML-Format.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-HTML-Format-2.04-1.src.rpm

Description:
A collection of modules that formats HTML as plaintext, PostScript or RTF.
Comment 1 Ville Skyttä 2005-08-25 14:24:11 EDT
Suggested improved Summary: HTML formatter modules for Perl 
 
 
IMO perl-Font-AFM should be Required, not only BuildRequired. 
HTML::FormatPS doesn't work without it, see setfont() there; that's not an 
optional dependency but a hard error if the needed Font::Metrics::$something 
module cannot be found.  And the code to do that is obviously so funky that 
rpm cannot detect the dependency. 
 
In my local package, I used "Requires: perl-Font-AFM" instead of "Requires: 
perl(Font::AFM)" and ditto for BuildRequires.  That's because Font::AFM is 
never actually used except for the version check in Makefile.PL.  The actually 
needed modules are Font::Metrics::*.  This is just a note, not a blocker, you 
decide what to do with it. 
 
But the suggestion to pull perl-Font-AFM in one way or another when this 
package is installed still holds. 
Comment 2 Ralf Corsepius 2005-08-26 08:06:19 EDT
You are right, updated srpm with your comments reflected to appear soon at:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-HTML-Format.spec
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-HTML-Format-2.04-2.src.rpm
Comment 3 Ville Skyttä 2005-08-26 14:40:30 EDT
Approved, but please see the the suggested summary improvement from comment 1 
post-CVS-import in case you missed it. 
Comment 4 Mark Chappell 2010-07-15 11:22:01 EDT
Package Change Request
======================
Package Name: perl-HTML-Format
New Branches: EL-6
Owners: tremble


No response from owner, and it's going to be tied to EL-6 SRPMs anyway...
https://bugzilla.redhat.com/show_bug.cgi?id=612419
Comment 5 Kevin Fenzi 2010-07-16 13:22:46 EDT
spot seems to already own a EL-6 branch here.

Note You need to log in before you can comment on or make changes to this bug.